SDL_GetWindowICCProfile(3)

NAME
SDL_GetWindowICCProfile - Get the raw ICC profile data for the screen the window is currently on.

SYNOPSIS
#include <SDL3/SDL_video.h>

void * SDL_GetWindowICCProfile(SDL_Window *window, size_t *size);

FUNCTION PARAMETERS

window
    the window to query.

size
    the size of the ICC profile.

RETURN VALUE
Returns the raw ICC profile data on success or NULL on failure; call SDL_GetError() for more information. This should be freed with SDL_free() when it is no longer needed.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.